<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FDFDFD"
    android:orientation="vertical"
    tools:context=".activity.FileCategoryActivity">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_action_bar"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:background="@color/white"
        app:layout_constraintTop_toTopOf="parent">

        <FrameLayout
            android:id="@+id/fl_back"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:orientation="horizontal"
            android:paddingHorizontal="15dp"
            app:layout_constraintStart_toStartOf="parent"
            tools:ignore="UseCompoundDrawables">

            <ImageView
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_gravity="center_vertical"
                android:src="@drawable/fanhui"
                app:layout_constraintStart_toStartOf="parent"
                tools:ignore="ContentDescription" />

        </FrameLayout>

        <TextView
            android:id="@+id/tv_tittle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_margin="5dp"
            android:text=""
            android:textColor="#FF333333"
            android:textSize="17sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/fl_back"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_content"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />


                <com.noober.background.view.BLTextView
                    android:id="@+id/tv_delete"
                    android:layout_width="278dp"
                    android:layout_height="40dp"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="30dp"
                    android:enabled="false"
                    android:gravity="center"
                    android:text="Delete"
                    android:textColor="@color/white"
                    android:textSize="15sp"
                    android:textStyle="bold"
                    app:bl_corners_radius="24dp"
                    app:bl_selected_solid_color="#2D4059"
                    app:bl_unSelected_solid_color="#999999"
                    tools:ignore="HardcodedText" />
            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_other"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone">
            <!--suppress AndroidElementNotAllowed -->
            <ProgressBar
                android:id="@+id/progressbar"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_gravity="center"
                android:indeterminateTint="#0066FD"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/iv_empty"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/empty"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="ContentDescription" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>


</LinearLayout>